package com.jdc.jdcproject.controller;

import com.jdc.jdcproject.entity.DicekeMiningrecord;
import com.jdc.jdcproject.entity.VO.DicekeMiningrecordVo;
import com.jdc.jdcproject.service.IDicekeMiningrecordService;
import com.jdc.jdcproject.utils.Result;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 采矿记录表; 前端控制器
 * </p>
 *
 * @author haoyanlu
 * @since 2025-04-26
 */
@RestController
@RequestMapping("/dicekeMiningrecord")
public class DicekeMiningrecordController {

    @Autowired
    private IDicekeMiningrecordService dicekeMiningrecordService;

    @Operation(summary = "查询mo品味报表")
    @GetMapping("findAllMiningrecord")
    public Result findAll() {
        List<DicekeMiningrecordVo> dicekeMiningrecordVoList =  dicekeMiningrecordService.findAll();
        System.out.println(dicekeMiningrecordVoList.toString());
        return Result.successResult().data("dicekeMiningrecordVoList", dicekeMiningrecordVoList);
    }


    @Operation(summary = "修改Mo品味信息")
    @PostMapping("updatedicekeMiningrecord")
    public Result updatePlateArea(@RequestBody DicekeMiningrecord dicekeMiningrecord) {
        boolean updateflag = dicekeMiningrecordService.updateById(dicekeMiningrecord);
        if (updateflag) {
            return Result.successResult();
        } else {
            return Result.errorResult();
        }
    }

    @Operation(summary = "删除Mo品味信息")
    @DeleteMapping("deletedicekeMiningrecord/{recordID}")
    public Result deletedicekeMiningrecord(@PathVariable String recordID) {
        boolean updateflag = dicekeMiningrecordService.removeById(recordID);
        if (updateflag) {
            return Result.successResult();
        } else {
            return Result.errorResult();
        }
    }

    @Operation(summary = "根据id查询Mo品味信息")
    @GetMapping("finddicekeMiningrecordById/{recordID}")
    public Result finddicekeMiningrecordById(@PathVariable String recordID) {
        DicekeMiningrecord dicekeMiningrecordServiceById = dicekeMiningrecordService.getById(recordID);
        return Result.successResult().data("dicekeMiningrecordServiceById", dicekeMiningrecordServiceById);
    }

    @Operation(summary = "新增Mo品味信息")
    @PostMapping("adddicekeMiningrecord")
    public Result adddicekeMiningrecord(@RequestBody DicekeMiningrecord DicekeMiningrecord) {
        boolean updateflag = dicekeMiningrecordService.save(DicekeMiningrecord);
        if (updateflag) {
            return Result.successResult();
        } else {
            return Result.errorResult();
        }
    }
}
