package com.jdc.jdcproject.controller;

import com.jdc.jdcproject.entity.DicekePlatearea;
import com.jdc.jdcproject.entity.DicekeShovel;
import com.jdc.jdcproject.service.IDicekePlateareaService;
import com.jdc.jdcproject.service.IDicekeShovelService;
import com.jdc.jdcproject.utils.Result;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.stereotype.Controller;

import java.util.List;

/**
 * <p>
 * 电铲 前端控制器
 * </p>
 *
 * @author haoyanlu
 * @since 2025-04-26
 */
@RestController
@RequestMapping("/dicekeShovel")
public class DicekeShovelController {

    @Autowired
    private IDicekeShovelService dicekeShovelService;


    @Operation(summary = "查询所有电铲")
    @GetMapping("findAllShovel")
    public Result findAllShovel() {
        List<DicekeShovel> shovelList = dicekeShovelService.list();
        return Result.successResult().data("shovel", shovelList);
    }

    @Operation(summary = "根据id查询电铲信息")
    @GetMapping("findShovelById/{id}")
    public Result findShovelById(@PathVariable String id) {
        DicekeShovel dicekeShovel = dicekeShovelService.getById(id);
        return Result.successResult().data("dicekeShovel", dicekeShovel);
    }


    @Operation(summary = "修改电铲信息")
    @PostMapping("updateShovel")
    public Result updatePlateArea(@RequestBody DicekeShovel shovel) {
        boolean updateflag = dicekeShovelService.updateById(shovel);
        if (updateflag) {
            return Result.successResult();
        } else {
            return Result.errorResult();
        }
    }

    @Operation(summary = "删除电铲信息")
    @DeleteMapping("deleteShovel/{id}")
    public Result deletePlateArea(@PathVariable String id) {
        boolean updateflag = dicekeShovelService.removeById(id);
        if (updateflag) {
            return Result.successResult();
        } else {
            return Result.errorResult();
        }
    }

    @Operation(summary = "新增电铲信息")
    @PostMapping("addShovel")
    public Result addShovel(@RequestBody DicekeShovel shovel) {
        boolean updateflag = dicekeShovelService.save(shovel);
        if (updateflag) {
            return Result.successResult();
        } else {
            return Result.errorResult();
        }
    }

}
