package com.jdc.jdcproject.controller;

import com.jdc.jdcproject.entity.DicekeMiningloss;
import com.jdc.jdcproject.entity.VO.DicekeTotalMiningVo;
import com.jdc.jdcproject.service.IDicekeMininglossService;
import com.jdc.jdcproject.service.IDicekeTotalMiningService;
import com.jdc.jdcproject.utils.Result;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 采剥量报表; 前端控制器
 * </p>
 *
 * @author xvxboo
 */

@RestController
@RequestMapping("/dicekeTotalMining")
public class DicekeTotalMiningController {

    @Autowired
    private IDicekeTotalMiningService dicekeTotalMiningService;
    @Autowired
    private IDicekeMininglossService dicekeMininglossService;

    @Operation(summary = "通过Month查询采剥量报表")
    @GetMapping("findTotalMiningByMonth")
   public Result findTotalMiningByMonth(@RequestParam(required = false) LocalDate Month){
       List<DicekeTotalMiningVo> totalMiningVoList = dicekeTotalMiningService.getTotalMiningByMonth(Month);
       System.out.println(totalMiningVoList.toString());
       return Result.successResult().data("totalMiningVoList",totalMiningVoList);
   }

   @Operation(summary = "修改采剥量报表")
   @PostMapping("updateTotalMining")
   public Result updateTotalMining(@RequestBody DicekeTotalMiningVo dtm){

        DicekeMiningloss dml = new DicekeMiningloss();

       dml.setLossID(dtm.getTotalID());
       dml.setPlateID(dtm.getPlateID());
       dml.setShovelID(dtm.getShovelID());
       dml.setBeizhu(dtm.getBeizhu());
       dml.setStrippingTon(dtm.getStrippingTon());
       dml.setStrippingAndTotalMiningTon(dtm.getStrippingAndTotalMiningTon());
       dml.setMonth(dtm.getMonth());

        boolean updateFlag = dicekeMininglossService.updateById(dml);
        if (updateFlag){
            return Result.successResult();
        } else {
            return Result.errorResult();
        }


   }

   /*
   *
   * 删除直接删掉对应表的字段？
   *
   * */

}
