package com.jdc.jdcproject.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDate;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * <p>
 * 采剥与贫损表;
 * </p>
 *
 * @author haoyanlu
 * @since 2025-04-26
 */
@TableName("diceke_miningloss")
@Schema(name = "DicekeMiningloss", description = "采剥与贫损表;")
@Data
public class DicekeMiningloss implements Serializable {

    private static final long serialVersionUID = 1L;

    @Schema(description = "主键")
    @TableId("LossID")
    private String lossID;

    @Schema(description = "外键关联平盘表")
    private String plateID;

    @Schema(description = "外键关联铲号表")
    private String shovelID;

    @Schema(description = "月份")
    private LocalDate month;

    @Schema(description = "剥离量（吨）")
    private Double strippingTon;

    @Schema(description = "采剥总量(吨）")
    private Double strippingAndTotalMiningTon;

    @Schema(description = "采下废石（吨）")
    private Double wasteRockTon;

    @Schema(description = "贫化率（%）")
    private Double dilutionRate;

    @Schema(description = "损失率（%）")
    private Double lossRate;

    @Schema(description = "配矿配矿量（吨）")
    private Double allocationTon;

    @Schema(description = "备注")
    private String beizhu;

    @Override
    public String toString() {
        return "DicekeMiningloss{" +
                "lossID='" + lossID + '\'' +
                ", plateID='" + plateID + '\'' +
                ", shovelID='" + shovelID + '\'' +
                ", month=" + month +
                ", strippingTon=" + strippingTon +
                ", strippingAndTotalMiningTon=" + strippingAndTotalMiningTon +
                ", wasteRockTon=" + wasteRockTon +
                ", dilutionRate=" + dilutionRate +
                ", lossRate=" + lossRate +
                ", allocationTon=" + allocationTon +
                ", beizhu='" + beizhu + '\'' +
                '}';
    }
}
